using Engine.Graphics.Buffer.Vertex;
using OpenTK.Graphics.OpenGL;
using OpenTK.Mathematics;

namespace Engine.Graphics.Render.Quad;

public struct QuadCommonVertex : IVertex
{
  [Vertex(VertexAttribType.Float, 3)] public Vector3 _position;
  [Vertex(VertexAttribType.Float, 2)] public Vector2 _uv;
}